package com.bonus.canteen.core.auth.role.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("区域食堂档口权限")
public class MgrRoleCanteenDTO {
   @ApiModelProperty("区域、食堂、档口ID")
   private Long dataId;
   @ApiModelProperty("类型：0：区域，1：食堂，2：档口或餐线")
   private Integer type;
   @ApiModelProperty("节点状态：1全选；2半选")
   private Integer halfSelect;

   public Long getDataId() {
      return this.dataId;
   }

   public Integer getType() {
      return this.type;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public void setDataId(final Long dataId) {
      this.dataId = dataId;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

   public void setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
   }

   public MgrRoleCanteenDTO(final Long dataId, final Integer type, final Integer halfSelect) {
      this.dataId = dataId;
      this.type = type;
      this.halfSelect = halfSelect;
   }

   public MgrRoleCanteenDTO() {
   }
}
